ApiHive3ReplicationMetricsMetadata (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationMetricsMetadata

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationMetricsMetadata

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHive3ReplicationMetricsMetadata
      extends Object

  ApiHive3ReplicationMetricsMetadata

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationMetricsMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationMetricsMetadata` | `dbName(String dbName)`
    `boolean` | `equals(Object o)`
    `ApiHive3ReplicationMetricsMetadata` | `failoverEndPoint(String failoverEndPoint)`
    `ApiHive3ReplicationMetricsMetadata` | `failoverEventId(BigDecimal failoverEventId)`
    `ApiHive3ReplicationMetricsMetadata` | `failoverMetadataLoc(String failoverMetadataLoc)`
    `ApiHive3ReplicationMetricsMetadata` | `failoverType(String failoverType)`
    `String` | `getDbName()` Get dbName
    `String` | `getFailoverEndPoint()` Get failoverEndPoint
    `BigDecimal` | `getFailoverEventId()` Get failoverEventId
    `String` | `getFailoverMetadataLoc()` Get failoverMetadataLoc
    `String` | `getFailoverType()` Get failoverType
    `BigDecimal` | `getLastReplId()` Get lastReplId
    `BigDecimal` | `getReplicatedDBSizeInKB()` Get replicatedDBSizeInKB
    `ReplicationType` | `getReplicationType()` Get replicationType
    `String` | `getStagingDir()` Get stagingDir
    `int` | `hashCode()`
    `ApiHive3ReplicationMetricsMetadata` | `lastReplId(BigDecimal lastReplId)`
    `ApiHive3ReplicationMetricsMetadata` | `replicatedDBSizeInKB(BigDecimal replicatedDBSizeInKB)`
    `ApiHive3ReplicationMetricsMetadata` | `replicationType(ReplicationType replicationType)`
    `void` | `setDbName(String dbName)`
    `void` | `setFailoverEndPoint(String failoverEndPoint)`
    `void` | `setFailoverEventId(BigDecimal failoverEventId)`
    `void` | `setFailoverMetadataLoc(String failoverMetadataLoc)`
    `void` | `setFailoverType(String failoverType)`
    `void` | `setLastReplId(BigDecimal lastReplId)`
    `void` | `setReplicatedDBSizeInKB(BigDecimal replicatedDBSizeInKB)`
    `void` | `setReplicationType(ReplicationType replicationType)`
    `void` | `setStagingDir(String stagingDir)`
    `ApiHive3ReplicationMetricsMetadata` | `stagingDir(String stagingDir)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationMetricsMetadata

          public ApiHive3ReplicationMetricsMetadata()

  - ### Method Detail

    - #### dbName

          public ApiHive3ReplicationMetricsMetadata dbName(String dbName)

    - #### getDbName

          public String getDbName()

      Get dbName
      Returns:
        dbName

    - #### setDbName

          public void setDbName(String dbName)

    - #### replicationType

          public ApiHive3ReplicationMetricsMetadata replicationType(ReplicationType replicationType)

    - #### getReplicationType

          public ReplicationType getReplicationType()

      Get replicationType
      Returns:
        replicationType

    - #### setReplicationType

          public void setReplicationType(ReplicationType replicationType)

    - #### replicatedDBSizeInKB

          public ApiHive3ReplicationMetricsMetadata replicatedDBSizeInKB(BigDecimal replicatedDBSizeInKB)

    - #### getReplicatedDBSizeInKB

          public BigDecimal getReplicatedDBSizeInKB()

      Get replicatedDBSizeInKB
      Returns:
        replicatedDBSizeInKB

    - #### setReplicatedDBSizeInKB

          public void setReplicatedDBSizeInKB(BigDecimal replicatedDBSizeInKB)

    - #### stagingDir

          public ApiHive3ReplicationMetricsMetadata stagingDir(String stagingDir)

    - #### getStagingDir

          public String getStagingDir()

      Get stagingDir
      Returns:
        stagingDir

    - #### setStagingDir

          public void setStagingDir(String stagingDir)

    - #### lastReplId

          public ApiHive3ReplicationMetricsMetadata lastReplId(BigDecimal lastReplId)

    - #### getLastReplId

          public BigDecimal getLastReplId()

      Get lastReplId
      Returns:
        lastReplId

    - #### setLastReplId

          public void setLastReplId(BigDecimal lastReplId)

    - #### failoverMetadataLoc

          public ApiHive3ReplicationMetricsMetadata failoverMetadataLoc(String failoverMetadataLoc)

    - #### getFailoverMetadataLoc

          public String getFailoverMetadataLoc()

      Get failoverMetadataLoc
      Returns:
        failoverMetadataLoc

    - #### setFailoverMetadataLoc

          public void setFailoverMetadataLoc(String failoverMetadataLoc)

    - #### failoverEventId

          public ApiHive3ReplicationMetricsMetadata failoverEventId(BigDecimal failoverEventId)

    - #### getFailoverEventId

          public BigDecimal getFailoverEventId()

      Get failoverEventId
      Returns:
        failoverEventId

    - #### setFailoverEventId

          public void setFailoverEventId(BigDecimal failoverEventId)

    - #### failoverEndPoint

          public ApiHive3ReplicationMetricsMetadata failoverEndPoint(String failoverEndPoint)

    - #### getFailoverEndPoint

          public String getFailoverEndPoint()

      Get failoverEndPoint
      Returns:
        failoverEndPoint

    - #### setFailoverEndPoint

          public void setFailoverEndPoint(String failoverEndPoint)

    - #### failoverType

          public ApiHive3ReplicationMetricsMetadata failoverType(String failoverType)

    - #### getFailoverType

          public String getFailoverType()

      Get failoverType
      Returns:
        failoverType

    - #### setFailoverType

          public void setFailoverType(String failoverType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.